Page MenuHomePhabricator

Spike: Which wikiedu features still need to be customized for more general use?
Closed, ResolvedPublic

Description

@Ragesoss has taken some steps towards implementing course type (Thank you!). Read those changes and compare to our needs. Erm. And come up with what our requirements are.

Event Timeline

awight created this task.Feb 3 2016, 10:26 PM
awight raised the priority of this task from to Needs Triage.
awight updated the task description. (Show Details)
awight added subscribers: awight, Ragesoss.
Restricted Application added subscribers: StudiesWorld, Base, Aklapper. · View Herald TranscriptFeb 3 2016, 10:26 PM

@AndyRussG asked me to illustrate how the interfaces would need to change for the different program types. These show where language should be changed and education features should be struck. Where not noted, "course" should become "program", "school" "institution", "instructor" "organizer, and "students" "participants".

Abit added a comment.Feb 4 2016, 1:21 PM

Another tidbit: writing contests should only track content created as part of the contest, as opposed to any content created on that account. Editing on some writing contests could be tracked by categories, but some, like WikiCup or the tyop contest, cannot be tracked by category. Do the metrics on the Dashboard track all editing by a user, or just the editing related to a course?

We've already started modifying course pages based on course type. Here is a Visiting Scholarship course, which has the course/student language replaced with more generic terminology: https://dashboard-testing.wikiedu.org/courses/test/Visiting_Scholarship_Test_%28test%29

For that course type, we also only track metrics for articles that are explicitly assigned, rather than all the edits that enrolled users make during the course timeframe. This happens by changing the "revisions" scope of the course and only counting revisions to articles that have associated assignments for the course.

awight added a comment.Feb 4 2016, 8:46 PM

Wow, thank you @Abit!

While we're collecting features to axe, this welcome page should not say "have your instructor give you a passcode"--enrolling in a password-protected course is when we should ask for a passcode.

awight renamed this task from Spike: Review course type implementation and decide if it meets our requirements to Spike: Which wikiedu features still need to be customized for more general use?.Feb 7 2016, 12:25 AM
awight set Security to None.

Renaming because the focus of this task has changed.

Part of the intent of that kind of messaging is to make it clear that this is not a MOOC platform where you can browse and join arbitrary projects.

That specific messaging is particular to the Wiki Ed use case, but the idea is that receiving a link that includes the passcode for the intended course is the main entry point for non-instructors. That basic concept is probably relevant for many of the use-cases for the Wikimedia instance, although maybe not all.

@Abit: Do you agree that we should hide the "Milestones" panel when empty?

Another tidbit: writing contests should only track content created as part of the contest, as opposed to any content created on that account. Editing on some writing contests could be tracked by categories, but some, like WikiCup or the tyop contest, cannot be tracked by category. Do the metrics on the Dashboard track all editing by a user, or just the editing related to a course?

I was curious about Talk page metrics... Do these factor in anywhere? Are there any projects where it would be useful to surface this number?

@Abit: Do you agree that we should hide the "Milestones" panel when empty?

I'd like to do this anyway. Milestones is pretty closely tied to a course plan that looks something like a typical Wiki Ed course timeline, and it won't necessarily make sense for many kinds of projects, including Editathons.

awight added a comment.Feb 8 2016, 8:32 PM

Note to self: I've removed all course creation wizard steps > step 1, per the spec, but now we need to confirm that the default course metadata is either correct, or unnecessary.

Abit added a comment.Feb 12 2016, 5:24 PM

@Abit: Do you agree that we should hide the "Milestones" panel when empty?

@awight, @Ragesoss, did you all work this out while I was away? I agree that we should hide it in all cases for now, since as Sage says, it's a course thing. Thanks for catching this!

Abit added a comment.Feb 12 2016, 5:26 PM

I was curious about Talk page metrics... Do these factor in anywhere? Are there any projects where it would be useful to surface this number?

I imagine there could be some projects, but not ones included in our current uses cases.

I want everything that Abit demonstrated in the images above! That is exactly what I imagined for event pages!

awight closed this task as Resolved.Feb 17 2016, 7:35 AM
awight claimed this task.

The implementation is in code review now, any more features should be sketched out in a new task. Thanks!

awight reassigned this task from awight to Abit.Feb 17 2016, 7:40 AM